
QGIS Application - Bug report #2146

PostGres connection exposes username and password

2009-11-24 11:16 PM - durga -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12206

Description

When the user selects Layer>Add [[VectorLayer]]>Database>PostGresSQL  and selects a database,on some occassions it exposes the 

username and password.

Related issues:

Related to QGIS Application - Bug report # 5959: WMS password visible Closed 2012-07-06

History

#1 - 2009-11-24 11:57 PM - Giovanni Manghi

there is a way to replicate this on purpose? I would like to see if it happens also on Linux.

#2 - 2009-12-19 03:18 AM - Martin Dobias

Additinally the password is also a part of layer ID - could be seen e.g. in project files or in python console by executing:

print qgis.utils.iface.activeLayer().getLayerID()

#3 - 2010-03-07 10:18 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:3c5c55ee (SVN r12860).

Files
